mtext_set_char(3m17n)

NAME
mtext_set_char - Store a character into an M-text.

SYNOPSIS
int mtext_set_char (MText * mt, int pos, int c)

DESCRIPTION
Store a character into an M-text.

The mtext_set_char() function sets character c, which has no text properties, at pos in M-text mt.

RETURN VALUE

    If the operation was successful, mtext_set_char() returns 0. Otherwise it returns -1 and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_RANGE

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.